### nncp-daemon ¶

    $ nncp-daemon [options]
        [-maxconn INT] [-bind ADDR] [-ucspi]
        [-autotoss*] [-nock] [-mcd-once]
        [-yggdrasil yggdrasils://PRV[:PORT]?[bind=BIND][&pub=PUB][&peer=PEER][&mcast=REGEX[:PORT]]]

Start listening TCP daemon, wait for incoming connections and run synchronization protocol with each of them. You can run `nncp-toss` utility in background to process inbound packets from time to time.

`-maxconn` option specifies how many simultaneous clients daemon can handle. `-bind` option specifies `addr:port` it must bind to and listen (empty string means no listening on TCP port).

It could be run as UCSPI-TCP service, by specifying `-ucspi` option. Pay attention that because it uses `stdin`/`stdout`, it can not effectively work with IO timeouts and connection closing can propagate up to 5 minutes in practice. Example startup command:

    tcpserver -DHR -l 0 ::0 uucp nncp-daemon -quiet -ucspi

Also it is some kind of backward compatible with `inetd` interface, just lacking knowledge or remote’s address:

    uucp	stream	tcp6	nowait	nncpuser	/usr/local/bin/nncp-daemon	nncp-daemon -quiet -ucspi

`-autotoss` option runs tosser on node’s spool every second during the call. All `-autotoss-*` options is the same as in `nncp-toss` command.

Read more about `-nock` option.

`-mcd-once` option sends MultiCast Discovery announcements once and quits. Could be useful with inetd-based setup, where daemons are not running.

With `-yggdrasil` option daemon also acts as a Yggdrasil support listener daemon.